# xoxys.cups
  
[![Build Status](https://drone.rknet.org/api/badges/ansible/xoxys.cups/status.svg)](https://drone.rknet.org/ansible/xoxys.cups)


Setup cups printserver

## Table of content

* [Default Variables](#default-variables)
  * [cups_version](#cups_version)
  * [cups_packages_extra](#cups_packages_extra)
  * [cups_selinux_fcontext](#cups_selinux_fcontext)
  * [cups_selinux_restorecon](#cups_selinux_restorecon)
  * [cups_admin_group](#cups_admin_group)
  * [cups_admin_users](#cups_admin_users)
  * [cups_bind_url](#cups_bind_url)
  * [cups_server_name](#cups_server_name)
  * [cups_server_alias](#cups_server_alias)
  * [cups_log_level](#cups_log_level)
  * [cups_server_admin](#cups_server_admin)
  * [cups_remote_admin_enabled](#cups_remote_admin_enabled)
  * [cups_system_groups](#cups_system_groups)
* [Dependencies](#dependencies)
* [License](#license)
* [Author](#author)

---

## Default Variables

### cups_version

#### Default value

```YAML
cups_version: 2.2.10
```

### cups_packages_extra

#### Default value

```YAML
cups_packages_extra: []
```

### cups_selinux_fcontext

#### Default value

```YAML
cups_selinux_fcontext: []
```

### cups_selinux_restorecon

#### Default value

```YAML
cups_selinux_restorecon: []
```

### cups_admin_group

#### Default value

```YAML
cups_admin_group: printadmin
```

### cups_admin_users

#### Default value

```YAML
cups_admin_users:
  - name: cupsadm
    password: secure
```

### cups_bind_url

#### Default value

```YAML
cups_bind_url:
  - localhost:631
```

### cups_server_name

#### Default value

```YAML
cups_server_name: print.example.org
```

### cups_server_alias

#### Default value

```YAML
cups_server_alias: '{{ cups_server_name }}'
```

### cups_log_level

#### Default value

```YAML
cups_log_level: warn
```

### cups_server_admin

#### Default value

```YAML
cups_server_admin: admin@example.com
```

### cups_remote_admin_enabled

#### Default value

```YAML
cups_remote_admin_enabled: false
```

### cups_system_groups

#### Default value

```YAML
cups_system_groups:
  - root
  - '{{ cups_admin_group }}'
```

## Dependencies

None.

## License

MIT

## Author

[xoxys](https://gitea.rknet.org/xoxys)
